Subject: Re: bug#71178: Batch ert wrongly aborts a test run, and wrongly fails to say why.

From: "J.P." <[email-masked]>
Date: Wed, 05 Jun 2024 15:13:29 -0700

"J.P." <[email-masked]> writes:

>> I think I'd rather the test should stay there a bit longer.  It
>> highlights problems in pcase.el and ert.el which might get fixed sooner
>> if the test is still there.  _MIGHT_ (here's hoping!).
>
> Good point. I've added a FIXME to remind myself or some future person to
> delete the test once things have settled.

The issue of the large pcase expansion appears to have been addressed by

  16fc5b6c0c7 * pcase.el (\`): Try and handle large patterns better

I have therefore deleted the offending test.

I'm leaving this bug open because its main concern is the absence of
adequate reporting under certain failure conditions. Thanks.